Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPierre-Charles David2019-05-20 13:19:58 +0000
committerPierre-Charles David2019-05-20 13:20:00 +0000
commit8d174f9aa240cdcfeb2a4d53ddcb46674b8d11c9 (patch)
tree5104eb088d7d9e58ba983c33fc4fcade0508fcf1 /plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF
parentc93eaaef9d7a9c4ea5f8b8e25e6952de43799547 (diff)
downloadorg.eclipse.sirius-8d174f9aa240cdcfeb2a4d53ddcb46674b8d11c9.tar.gz
org.eclipse.sirius-8d174f9aa240cdcfeb2a4d53ddcb46674b8d11c9.tar.xz
org.eclipse.sirius-8d174f9aa240cdcfeb2a4d53ddcb46674b8d11c9.zip
[546681] Allow Guava up to v27.1 (which will be in 2019-06)
I checked that Sirius is indeed compatible with Guava 27.1 by using "[27.1,27.2)" as a range and building against a recent I-build of Orbit: no compilation errors. I have not run the tests on the results, but the Guava APIs are usually stable enough that if what we use still exists it very probably still behaves the same. We can not be too strict and force the use of 27.1 as we must still be compatible with earlier versions of Eclipse, so we still allow for 21.0 which is the version in Oxygen, the oldest platform we still build against. Bug: 546681 Change-Id: I66f70f2e66b54941c18e66dd4ba8221ff7ea0443 Signed-off-by: Pierre-Charles David <pierre-charles.david@obeo.fr>
Diffstat (limited to 'plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF')
-rw-r--r--plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF2
1 files changed, 1 insertions, 1 deletions
diff --git a/plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF b/plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF
index f52c0a58ed..59441dc165 100644
--- a/plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF
@@ -43,7 +43,7 @@ Export-Package: org.eclipse.sirius.diagram.sequence;version="2.1.0",
org.eclipse.sirius.diagram.sequence.util;version="3.0.0"
Require-Bundle: org.eclipse.sirius.common;bundle-version="4.0.0",
org.eclipse.sirius.ecore.extender;bundle-version="4.0.0",
- com.google.guava;bundle-version="[15.0,22.0)",
+ com.google.guava;bundle-version="[21.0,27.2)",
org.eclipse.gmf.runtime.notation;bundle-version="1.5.0",
org.eclipse.draw2d;bundle-version="3.9.0",
org.eclipse.sirius.diagram;bundle-version="4.0.0";visibility:=reexport,

Back to the top